Page MenuHomePhabricator

Quarterly Insights through Q2 FY2019-20
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2020, 5:54 PM
Aklapper renamed this task from Quarterly Insights through Q2 FY19-20 to Quarterly Insights through Q2 FY2019-20.Mar 2 2020, 6:07 PM
kzimmerman triaged this task as High priority.Mar 10 2020, 10:46 PM
kzimmerman moved this task from Next 2 weeks to Doing on the Product-Analytics (Kanban) board.
nshahquinn-wmf closed this task as Resolved.Apr 20 2020, 4:35 PM
nshahquinn-wmf added a subscriber: nshahquinn-wmf.

We had the quarterly insights meeting a while ago, so this seems to be done!